<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ItineraryRow extends Model
{
    use HasFactory;

    protected $guarded = [];

    public function accomodation(){
        return $this->belongsTo('App\Models\Naksha\Accommodation', 'accommodation_id');
    }
    public function destination(){
        return $this->belongsTo('App\Models\Naksha\TourDestination', 'destination_id');
    }
    public function transport(){
        return $this->belongsTo('App\Models\Naksha\TourTravel', 'transport_id');
    }
    public function others(){
        return $this->belongsTo('App\Models\Naksha\TourOther', 'other_id');
    }
}
